
#define @QUALIFIER_ALL @"*"
#define @QPROPERTY @"PROPERTY"
#define @QVALUE @"VALUE"
@class NSArray, NSMutableArray, NSDictionary, NSMutableDictionary;
@class NSString, NSNumber;
@class EOEntity;
#import <eoaccess/eoaccess.h>

@interface TableDataSource:NSObject <EODataSources, EOMasterDataSources>
{
    NSString *table;
	NSMutableArray	*eos;
	NSMutableDictionary	*lookupTables;
	NSMutableDictionary *qualifier;
	NSString *uniqueKey;
	EOEntity *entity;
	NSMutableArray *detailSources;
	NSString *orderByKey;
	BOOL orderDescendantSources;
}

- initWithEOGenericRecords:(NSArray *)records tablePath:(NSString *)tablePath;
- initWithEntity:(EOEntity *)anEntity tablePath:(NSString *)tablePath;
- (void)dealloc;
- addLookupTableForKey:(NSString *)key;
- (NSString *)tablePath;
- setTablePath:(NSString *)aPath;
- (EOEntity *)entity;

- setEntityQualifier;
- setEmptySetQualifier;
- setQualifier:(NSMutableDictionary *)newQualifier;
- qualifyForProperty:(NSString *)key andValue:value;
- (NSArray *)fetchAllObjects;
- objectForPrimaryKey:value;
- (BOOL)orderBy:(NSString *)key;
- setOrderDescendantSources:(BOOL)aFlag;
- (BOOL)deleteAllObjects;


@end

