/* QBEPalette.m:
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 *
 * Written by Craig Federighi
 *  
 *
 * Example of a QBE palette: This palette uses the libQBE.a built with the QBE
 * folder files. It is capable of both setting the sort order and applying
 * a simple QBE interface to the current UI.
 */

#import "QBEPalette.h"
#import "QBE.h"
#import "SortOrderSetter.h"

@implementation QBEPalette

- finishInstantiate 
{
    [self associateObject:QBEInstance type:IBObjectPboardType with:QBERep];
    [self associateObject:SOInstance type:IBObjectPboardType with:SORep];
    return self;
}

@end


@implementation QBE(_IBSupport)

/* For IB */
-(NXImage *)getIBImage
{
	return [NXImage findImageNamed:"QBE"];
}

@end

@implementation SortOrderSetter(_IBSupport)

/* For IB */
-(NXImage *)getIBImage
{
	return [NXImage findImageNamed:"SortOrderSetter"];
}

@end
