/*--------------------------------------------------------------------------
 *
 * 	You may freely copy, distribute, and reuse the code in this example.
 * 	SHL Systemhouse disclaims any warranty of any kind, expressed or  
 *	implied, as to its fitness for any particular use.
 *
 *
 *	DataSource
 *
 *	Inherits From:		NSObject
 *
 *	Conforms To:		EOQualifiedDataSources, EORollbackDataSources
 *
 *	Declared In:		DataSource.h
 *
 *	Class Description
 *
 *		A DataSource object acts as a source for data-bearing objects
 *		retrieved from some external store.
 *
 *
 *------------------------------------------------------------------------*/
#import <eoaccess/EODataSources.h>
#import <foundation/NSObject.h>

@class NSMutableArray;




@interface DataSource : NSObject <EODataSources, EORollbackDataSources>
{
	NSMutableArray	*persistentStore;
	NSMutableArray	*workingStore; 
}

@end
