// This file contains some methods on NSObject to make it work in the hybrid
// world of Object/NSObject. These methods are needed by the current AppKit
// to load nib files.
// Note that they will become obsolete when we move to NS 4.0.
// The following three methods are not needed if you use EOF 1.1:
//	- (BOOL)isKindOf:aClass
//	- (BOOL)respondsTo:(SEL)aSelector
//	- perform:(SEL)aSelector with:anObject
//

#import <foundation/NSObject.h>

#define	EOF1_0	NO

@implementation NSObject(IBFixes)

+ allocFromZone:(NXZone *)zone;
{
    return [self allocWithZone: (NSZone *)zone];
}

+ (BOOL)_canAlloc
{
  return YES;
}


- perform:(SEL)aSelector with:object1 with:object2
{
  return [self perform:aSelector withObject:object1 withObject:object2];
}


#ifdef EOF1_0
- (BOOL)isKindOf:aClass
{
  return [self isKindOfClass:aClass];
}


- (BOOL)respondsTo:(SEL)aSelector
{
  return [self respondsToSelector:aSelector];
}


- perform:(SEL)aSelector with:anObject
{
  return [self perform:aSelector withObject:anObject];
}
#endif

@end 
