// OracleContext.h 
// Copyright (c) 1994, NeXT Computer, Inc.  All rights reserved.

#import "ociapr.h"
#import <eoaccess/eoaccess.h>

@class OracleAdaptor;
@class OracleChannel;

@interface OracleContext:EOAdaptorContext
{
    Lda_Def _lda;
    ub1 _hda[256];
    OracleAdaptor *_adaptor;
    unsigned short _transactionNestingLevel;
    unsigned short _fetchesInProgress;
    unsigned short _openCursors;
    unsigned short _debugCount;
    BOOL _connected;
}

- initWithOracleAdaptor:(OracleAdaptor *)adaptor;

- (Lda_Def *)logonDataArea;
- (ub1 *)hostDataArea;
    // These return NULL if the context is not connected.
    
- (unsigned)fetchesInProgress;

- (BOOL)connect;
- (BOOL)disconnect;
- (BOOL)isConnected;
    // Used internally by the adaptor and channel.

- (BOOL)oracleChannelWillBeginFetching:(OracleChannel *)cursor;
- (void)oracleChannelDidEndFetching:(OracleChannel *)cursor;
- (BOOL)oracleChannelWillOpen:(OracleChannel *)cursor;
- (void)oracleChannelDidClose:(OracleChannel *)cursor;
- (BOOL)oracleChannelWillBeginDebugging:(OracleChannel *)cursor;
- (void)oracleChannelDidEndDebugging:(OracleChannel *)cursor;
    // These methods are called by OracleChannels to stay synchronized with
    // the context.

@end

