// OracleDescription.h 
// Copyright (c) 1994, NeXT Computer, Inc.  All rights reserved.

#import <eoaccess/eoaccess.h>
#import "OracleChannel.h"

// This category on the OracleChannel implements the methods involved in
// reading an EOModel from the database.

@interface OracleChannel (ModelDescription)

+ (NSString *)oracleTableNamesSQL;
+ (void)setOracleTableNamesSQL:(NSString *)sql;
    // By default, the Oracle 7 adaptor evaluates the sql:
    //
    // SELECT TABLE_NAME FROM USER_TABLES ORDER BY TABLE_NAME
    //
    // to read a default list of table names in from the database.  If you
    // want a different set of default tables you can set a sql statement here
    // which will be used by all OracleChannels in the application, or you can
    // set a default sql statement through the dwrite:
    //
    // % dwrite Oracle7Adaptor OracleTableNamesSQL "SELECT TABLE_NAME FROM..."
    //
    // The only constraint on the sql is that the there be one item in the
    // select list, and that it selects the set of table names.
    
- (BOOL)readTypesForEntity:(EOEntity *)entity;
- (BOOL)readTypeForAttribute:(EOAttribute *)attribute;
- (NSArray *)describeEntities;
- (NSArray *)describeAttributesForEntity:(EOEntity *)entity;
- (NSArray *)describeRelationshipsForEntity:(EOEntity *)entity;

@end

