// SybaseColumn.h
// Copyright (c) 1994, NeXT Computer, Inc.  All rights reserved.

#import <eoaccess/eoaccess.h>
#import "SybaseAdaptor.h"

@class SybaseChannel;

// This class is used internally by the Sybase adaptor to maintain state
// needed to fetch data.

@interface SybaseColumn : NSObject
{
    SybaseChannel *_channel;
    DBPROCESS *_dbProcess;
    EOAttribute *_attribute;
    int _srcType;
}
+ (Class)valueClassForAttribute:(EOAttribute *)attribute sourceType:(int)sourceType;
+ columnForAttribute:(EOAttribute *)att channel:(SybaseChannel *)channel sourceType:(int)sourceType;
    // returns nil if column could not be created to map between sourceType
    // and attribute type.  Caller should log error.

- initWithAttribute:(EOAttribute *)attribute channel:(SybaseChannel *)channel sourceType:(int)sourceType;
    // Called by columnForAttribute.  Not called directly.

- valueFromBytes:(void *)bytes length:(int)length zone:(NSZone *)zone;
    // Bytes should be non-nil and length > 0 (caller is responsible for
    // catching this and returning EONull as necessary.
    // Returned value is retained (caller responsible for releasing).
    // Returns nil if error in creating value.
@end
