// EOQualifiedAssociation
// Enterprise Objects Framework
// Copyright 1993 NeXT Computer, Inc.
// All Rights Reserved

// This class implements associations between EOControllers.  Often several
// elements in the UI are linked via a master-detail relationship.
// EOQualifiedAssociations are used to establish these links.  In addition
// to the normal EOAssociationNotification messages, master controllers 
// propagate 4 additional messages to the detail controllers.  The
// destination of an EOQualifiedAssociation will receive -fetch,
// -saveToObjects, -saveToDataSource, and -redisplay whenever the master
// controller receives these messages.
 
#import "EOAssociation.h"

@class EOController;

@interface EOQualifiedAssociation: EOAssociation
{
    id _currentMasterValue;
    id _currentMasterEO;
}

- initWithController:(EOController *)aController 
    key: (NSString *)aKey destination:(EOController *)dController;

@end
