/*
**      NXFormatter.h
**      Copyright (c) 1992, NeXT Computer, Inc.  All rights reserved. 
*/

#import "NXTableProtocols.h"
#import <appkit/appkit.h>


// NXFormatter is functionally identical to the Database Kit's DBFormatter.
// Please refer to the DatabaseKit documentation for use of this class.


@interface NXFormatter : Object
{
@private
	unsigned int	_fReserved[2];
@protected
	id		delegate;
	id		dataSource;
	id		value;
}

- delegate;
- setDelegate:newDelegate;

- dataSource;
- setDataSource:newDataSource;

- getValueAt:(unsigned int) row :(unsigned int) column
	withAttributes:(id <NXTableVectors>) rowAttrs
		      :(id <NXTableVectors>) columnAttrs
	usePositions:(BOOL) useRowPos :(BOOL) useColumnPos;

- drawFieldAt:(unsigned int) row :(unsigned int) column
	inside:(NXRect *) frame inView:view
	withAttributes:(id <NXTableVectors>) rowAttrs
		      :(id <NXTableVectors>) columnAttrs
	usePositions:(BOOL) useRowPos :(BOOL) useColumnPos;

- beginBatching:(id <NXTableVectors>) attrs;
- resetBatching:(id <NXTableVectors>) attrs;
- endBatching;

@end
