/*
**	NXImageFormatter.h
**	Copyright (c) 1992, NeXT Computer, Inc.  All rights reserved. 
*/

#import "NXFormatter.h"
#import "NXTableProtocols.h"

#import <appkit/appkit.h>


// NXImageFormatter is functionally identical to the Database Kit's
// DBImageFormatter. Please refer to the DatabaseKit documentation for use
// of this class.


@interface NXImageFormatter : NXFormatter
{
	id	defaultImage;
}


- init;
- free;

- setDefaultImage:anImage;
- defaultImage;

- drawFieldAt:(unsigned int) row :(unsigned int) column
	inside:(NXRect *) frame inView:view
	withAttributes:(id <NXTableVectors>) rowAttrs
		      :(id <NXTableVectors>) columnAttrs
	usePositions:(BOOL) useRowPos :(BOOL) useColumnPos;

- write:(NXTypedStream *) stream;
- read:(NXTypedStream *) stream;

@end
