/*
**      NXTableVector.h
**      Copyright (c) 1992, NeXT Computer, Inc.  All rights reserved. 
*/
#import <appkit/appkit.h>
#import "NXTableProtocols.h"

typedef enum { HORIZONTAL, VERTICAL } Orientation;

// NXTableVector is functionally identical to the Database Kit's
// DBTableVector. Please refer to the DatabaseKit documentation for use
// of this class.

@interface NXTableVector : Object <NXTableVectors>
{
@private
	struct {
	unsigned int
#if	__BIG_ENDIAN__
			autosizable:1,
			editable:1,
			resizable:1,
			contentAlign:2,
			titleAlign:2,
			:25;
#else	__BIG_ENDIAN__
			:25,
			titleAlign:2,
			contentAlign:2,
			resizable:1,
			editable:1,
			autosizable:1;
#endif	__BIG_ENDIAN__
	} _vFlags;
@protected
	id		identifier;		/* opaque id for dataSource */
	id		formatter;		/* formats data in vector */

	NXCoord		minSize;
	NXCoord		maxSize;
	NXCoord		currentSize;		/* current width or height */
	
	char		*title;
	id		titleFont;
}

- initIdentifier:newIdentifier;
- free;

@end
