/*
   NXAutoreleaseConnection.h created by Richard Williamson on Fri 9-Dec-1994
   Copyright (c) 1995, NeXT, Inc.  All rights reserved.

   Modifications by enoyau Tue 31-Jan-1995

   A subclass of NXConnection that allows autoreleased objects to be
   correctly released in non-appkit servers.  This object should be used
   something like this:

   int main(int argc, char *argv[])
   {
       id aServer;
       NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];

       aServer = [[DOServer alloc] init];
       connection = [NXAutoreleaseConnection registerRoot: aServer withName:"AUTORELEASED_DO"];
       [connection runWithTimeout: -1];  // or [connection run];
       [aServer free];
       [pool release];
       exit(0);
   }
*/


#import <remote/NXConnection.h>

@interface NXAutoreleaseConnection : NXConnection
@end

